Package writer2latex.epub

# Class OPFWriter

java.lang.Object
writer2latex.base.DOMDocument
writer2latex.epub.OPFWriter

All Implemented Interfaces:
  `OutputFile`

public class OPFWriter extends DOMDocument
This class writes an OPF-file for an EPUB document (see http://www.idpf.org/2007/opf/OPF_2.0_final_spec.html).

## Constructor Summary

Constructors
Constructor
Description
`OPFWriter(ConverterResult cr, String sFileName, int nVersion, XhtmlConfig config)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getUid()`
Get the unique ID associated with this EPUB document (either collected from the user-defined meta data or a generated UUID)

### Methods inherited from class writer2latex.base.DOMDocument

`containsMath, getContentDOM, getFileExtension, getFileName, getMIMEType, getName, initContentDOM, isMasterDocument, read, setContentDOM, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OPFWriter

public OPFWriter(ConverterResult cr, String sFileName, int nVersion, XhtmlConfig config)

## Method Details

### getUid

public String getUid()
Get the unique ID associated with this EPUB document (either collected from the user-defined meta data or a generated UUID)

Returns:
  the ID